For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve partner information

Access partner details using the unique codes set to identify them.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, output by the Login method. An exception will be thrown if the values are incorrect.

partnerCode

Required (string) The unique partner code.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication

$partnerCode = 'YOUR_PARTNER_CODE'; // Partner code corresponding to the partner you want to get information for

try {
    $PartnerDetails= $client->getPartnerByCode($sessionID, $partnerCode);
} catch (SoapFault $e) {
    echo "Partner: " . $e->getMessage();
    exit;
}
var_dump ("Partner", $PartnerDetails);

?>

Response parameters

Parameter
Type / Description

Partner

Object Partner information object.

Errors

Error
Description

INVALID_PARTNER

Partner code is mandatory.

INVALID_PARTNER

Partner code provided is not associated with an active partner account in the Avangate system.

Last updated

Was this helpful?